unit Unit1;

{$WARN SYMBOL_PLATFORM OFF}

interface

uses
  ComObj, ActiveX, Project1_TLB, StdVcl;

type
  TKGHAspTest = class(TAutoObject, IKGHAspTest)
  protected
    Function SaveHTM:String;
    function GetHTML(ASPResponse, ASPRequest: OleVariant): WideString;
      safecall;
    { Protected declarations }
  end;

implementation

uses ComServ,
     Classes,
     Graphics,
     KAHTMLGrid,
     Unit2;

Function TKGHAspTest.SaveHTM:String;
Var
 SL : TStringList;
begin
With Datamodule1 do
 Begin
 SL := TStringList.Create;
 SL.Add('<HTML>');
 SL.Add('<HEAD>');
 SL.Add('<style type="text/css">');
 SL.Add('<!-- ');
 SL.Add(KAHTMLGrid1.CSS.CSS.Text);
 SL.Add(' -->');
 SL.Add('</style>');
 SL.Add('</HEAD>');
 SL.Add('<BODY LEFTMARGIN="0" TOPMARGIN="0">');
 SL.Add(KAHTMLGrid1.HTML.Text);
 SL.Add('</BODY>');
 SL.Add('</HTML>');
 Result := SL.Text;
End;
end;


function TKGHAspTest.GetHTML(ASPResponse,
  ASPRequest: OleVariant): WideString;
Var
  X  : Integer;
  CT : String;
  FS : TMemoryStream;
begin
  DataModule1 := TDataModule1.Create(Nil);
  Try
   With Datamodule1 do
     Begin
       KACSS1.ModuleType            := ASP;
       KACSS1.ASPResponse           := ASPResponse;
       KACSS1.ASPRequest            := ASPRequest;
       KAHTMLGrid1.Page             := 1;
       KAHTMLGrid1.RowsPerPage      := 10;
       KAHTMLGrid1.ImagesURL        := 'GImages/';
       KAHTMLGrid1.Header           := 'Demo Table 1';
       KAHTMLGrid1.FileName         := 'C:\www\cgi-bin\Import.txt';
       Case KAHTMLGrid1.ProcessParameters of
            gaNoAction       : Begin
                                 KAHTMLGrid1.FileName := 'C:\www\cgi-bin\Import.txt';
                               End;
            gaFirstPage       : Begin
                                 KAHTMLGrid1.Page := 1;
                                 KAHTMLGrid1.FileName := 'C:\www\cgi-bin\Import.txt';
                               End;
            gaPreviousPage    : Begin
                                 KAHTMLGrid1.Page := KAHTMLGrid1.Page-1;
                                 KAHTMLGrid1.FileName := 'C:\www\cgi-bin\Import.txt';
                               End;
            gaNextPage       : Begin
                                 KAHTMLGrid1.Page := KAHTMLGrid1.Page+1;
                                 KAHTMLGrid1.FileName := 'C:\www\cgi-bin\Import.txt';
                               End;
            gaLastPage       : Begin
                                 KAHTMLGrid1.Page := KAHTMLGrid1.PageCount;
                                 KAHTMLGrid1.FileName := 'C:\www\cgi-bin\Import.txt';
                               End;
            gaSaveAs         : Begin
                                 KAHTMLGrid1.FileName := 'C:\www\cgi-bin\Import.txt';
                                 Case KAHTMLGrid1.SaveFormat of
                                      Excel      : CT := 'application/x-msexcel';
                                      Access     : CT := 'application/msaccess';
                                      TabbedText : CT := 'text/plain';
                                  Else
                                      CT := 'application/octet-stream';
                                 End;
                                 FS := TMemoryStream.Create;
                                 Try
                                   KAHTMLGrid1.SaveAs(KAHTMLGrid1.SaveFormat,FS);
                                   KAHTMLGrid1.SendFile(CT,FS,KAHTMLGrid1.Header);
                                 Finally
                                   FS.Free;
                                 End;
                                 Exit;
                               End;
            gaUpdateData     : Begin
                                 If KAHTMLGrid1.ApplyAdd Then
                                      KAHTMLGrid1.AddTextRecord
                                   Else
                                      KAHTMLGrid1.UpdateTextFile;
                               End;
            gaDeleteCurrent  : Begin
                                 KAHTMLGrid1.DeleteTextRecord;
                               End;
       End;
     End;

     Datamodule1.KAHTMLGrid1.Background         := $0020A0;
     Datamodule1.KAHTMLGrid1.ToolbarColor       := $0020A0;

     Datamodule1.KAHTMLGrid1.ToolbarFont.Color  := $A0A0A0;
     Datamodule1.KAHTMLGrid1.ToolbarFont.Style  := [fsBold];

     Datamodule1.KAHTMLGrid1.HeaderColor        := $0020A0;
     Datamodule1.KAHTMLGrid1.HeaderFont.Color   := $FFFFFF;

     For X := 0 To Datamodule1.KAHTMLGrid1.ColCount-1 do
         Begin
           Datamodule1.KAHTMLGrid1.Columns[X].CaptionColor       := $0020A0;
           Datamodule1.KAHTMLGrid1.Columns[X].CaptionFont.Color  := $FFFFFF;
           Datamodule1.KAHTMLGrid1.Columns[X].CaptionFont.Style  := [fsBold];
         End;
     Datamodule1.KAHTMLGrid1.Done;
     Result := SaveHTM;
  Finally
    DataModule1.Free;
  End;
end;

initialization
  TAutoObjectFactory.Create(ComServer, TKGHAspTest, Class_KGHAspTest,
    ciMultiInstance, tmApartment);
end.
