unit Unit2;

interface

uses
  Forms, SysUtils, Classes, KAHTMLGrid, DB, ADODB;

type
  TDataModule1 = class(TDataModule)
    KAHTMLGrid1: TKAHTMLGrid;
    ADOConnection1: TADOConnection;
    ADOTable1: TADOTable;
    ADOTable2: TADOTable;
    DataSource1: TDataSource;
    DataSource2: TDataSource;
    KAHTMLGrid2: TKAHTMLGrid;
    KACSS1: TKACSS;
    ADOTable3: TADOQuery;
    procedure KAHTMLGrid1AfterReadData(Sender: TObject);
    procedure KAHTMLGrid1AddPlugin(Sender: TObject; HTML: TStringList);
    procedure KAHTMLGrid1BeforeAddToobar(Sender: TObject;
      HTML: TStringList);
  private
    { Private declarations }
  public
    { Public declarations }
    Plugin : Integer;
  end;

var
  DataModule1: TDataModule1;

implementation

{$R *.dfm}

procedure TDataModule1.KAHTMLGrid1AfterReadData(Sender: TObject);
begin
  KAHTMLGrid1.ColCount  := 5;
  KAHTMLGrid1.Columns[1].HAlign := alRight;
end;

procedure TDataModule1.KAHTMLGrid1AddPlugin(Sender: TObject;
  HTML: TStringList);
begin
  HTML.Add('<INPUT TYPE="IMAGE" NAME="GGraph" ALT="Show graphic representation (PLUGIN)" SRC="'+TKAHTMLGrid(Sender).ImagesURL+'GGraph.gif">');
end;

procedure TDataModule1.KAHTMLGrid1BeforeAddToobar(Sender: TObject;
  HTML: TStringList);
begin
  //******************************************* PLUGIN IS CLICKED - SEND GRAPHIC
  if Plugin <> -1 Then HTML.Add('<IMG SRC="Static.gif">');
  //******************************************* PLUGIN IS CLICKED - SEND GRAPHIC
end;

end.

